Xerces-C++: HexBin Class Reference

Xerces-C++ 3.3.0

Static Public Member Functions | List of all members
HexBin Class Reference

`#include <xercesc/util/HexBin.hpp>`

## Static Public Member Functions
static int | getDataLength (const XMLCh *const hexData)
| return the length of hexData in terms of HexBinary.
static bool | isArrayByteHex (const XMLCh *const hexData)
| check an array of data against the Hex table.
static XMLCh * | getCanonicalRepresentation (const XMLCh *const hexData, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| get canonical representation
static XMLByte * | decodeToXMLByte (const XMLCh *const hexData, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| Decodes HexBinary data into XMLByte.

## Member Function Documentation

## ◆ decodeToXMLByte()

static XMLByte * HexBin::decodeToXMLByte | ( | const XMLCh *const | hexData,
|  | MemoryManager *const | manager = XMLPlatformUtils::fgMemoryManager )
| static

Decodes HexBinary data into XMLByte.

NOTE: The returned buffer is dynamically allocated and is the responsibility of the caller to delete it when not longer needed. Use the memory manager to release the returned buffer.

Parameters

  hexData | HexBinary data in XMLCh stream.
  manager | client provided memory manager

Returns
  Decoded binary data in XMLByte stream, or NULL if input data can not be decoded.

## ◆ getCanonicalRepresentation()

static XMLCh * HexBin::getCanonicalRepresentation | ( | const XMLCh *const | hexData,
|  | MemoryManager *const | manager = XMLPlatformUtils::fgMemoryManager )
| static

get canonical representation

Caller is responsible for the proper deallocation of the string returned.

Parameters

  hexData | A string containing the HexBinary
  manager | The MemoryManager to use to allocate the string

return: the canonical representation of the HexBinary if it is a valid HexBinary, 0 otherwise

## ◆ getDataLength()

static int HexBin::getDataLength | ( | const XMLCh *const | hexData | ) |
| static

return the length of hexData in terms of HexBinary.

Parameters

  hexData | A string containing the HexBinary

return: -1 if it contains any invalid HexBinary the length of the HexNumber otherwise.

## ◆ isArrayByteHex()

static bool HexBin::isArrayByteHex | ( | const XMLCh *const | hexData | ) |
| static

check an array of data against the Hex table.

Parameters

  hexData | A string containing the HexBinary

return: false if it contains any invalid HexBinary true otherwise.

The documentation for this class was generated from the following file:

- HexBin.hpp